Subject: bug#494 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; comint-dynamic-complete should correct the case of the completed name )

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#494: 23.0.60; comint-dynamic-complete should correct the case of the completed name 

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
494: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=494
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Tue Aug 26 16:50:18 2008
To: Eric Hanchrow <[email-masked]>
Cc: [email-masked]
Subject: Re: 23.0.60; comint-dynamic-complete should correct the case of the completed name 
From: Chong Yidong <[email-masked]>
Date: Tue, 26 Aug 2008 19:52:00 -0400

> I've got read-file-name-completion-ignore-case set to t, and in a
> *shell* buffer I just typed
>
>         cd art TAB
>
> Now, there's a subdirectory called Artemis2, and so the TAB caused
> completion, so that my input line now looks like
>
>         $ cd artemis2/
>
> The problem, though, is that the "cd" command fails, because the file
> system is case-sensitive, and thus "artemis2" is not the same as
> "Artemis2".

I've checked in a fix.  Could you give current CVS trunk a test?

>From [email-masked] Fri Jun 27 09:32:40 2008
From: Eric Hanchrow <[email-masked]>
To: [email-masked]
Subject: 23.0.60; comint-dynamic-complete should correct the case of the completed name 
Date: Fri, 27 Jun 2008 09:22:09 -0700

I've got read-file-name-completion-ignore-case set to t, and in a
*shell* buffer I just typed

        cd art TAB

Now, there's a subdirectory called Artemis2, and so the TAB caused
completion, so that my input line now looks like

        $ cd artemis2/

The problem, though, is that the "cd" command fails, because the file
system is case-sensitive, and thus "artemis2" is not the same as
"Artemis2".  I wish TAB had instead made my input line look like

        $ cd Artemis2/

Curiously, completion works as I'd expect in the minibuffer.  That is,
if I type

        M-x cd RET ~/art TAB

I see

        Change default directory: ~/Artemis2/

which is exactly right.

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-06-26 on enver-laptop
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
configured using `configure  '--enable-maintainer-mode' '--with-xpm=no' '--with-jpeg=no' '--with-gif=no' '--with-tiff=no' '--with-xft' '--with-x-toolkit=gtk''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Shell

Minor modes in effect:
  compilation-in-progress: (compilation)
  icomplete-mode: t
  show-paren-mode: t
  erc-autojoin-mode: t
  erc-match-mode: t
  erc-log-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  desktop-save-mode: t
  recentf-mode: t
  display-time-mode: t
  global-auto-revert-mode: t
  shell-dirtrack-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
z <return> <return> C-x d <return> g q M-r - b o o 
t <return> C-M-b C-M-b - i n i t _ d e u <backspace> 
b u g SPC <return> C-c C-p M-0 C-l C-u C-n C-u C-n 
C-n C-n C-e C-a C-u C-n C-n C-n M-0 C-l C-u C-u C-n 
C-u C-n C-u C-n C-u C-n C-u C-n C-p C-p M-0 C-l C-u 
C-u C-n C-u C-n C-n M-> C-x d * . r e l <return> C-x 
d ~ / a r <tab> <tab> <tab> <tab> M-- M-c <tab> 2 <tab> 
<return> g C-x 2 C-x b s h e <return> d i r s <return> 
p u s h d <return> c d SPC ~ / A r <tab> 2 <tab> <return> 
s v n SPC u p <return> m a k e SPC c l e a n <return> 
m a k e SPC t a r b a l l <return> C-x o C-n C-n C-n 
<return> C-s - p a C-n C-a C-v C-x o C-r C-r M-> C-x 
1 c d SPC . . / a t <backspace> r <tab> - <tab> <return> 
g i t k - - <backspace> <backspace> SPC - - a l l <return> 
c <backspace> g i t - c l <tab> e <tab> - d x f <return> 
c d SPC . . <return> m v SPC a r t <tab> - <tab> SPC 
g i t t y - a r t e m i s <return> c d SPC a r <tab> 
<return> C-h c <tab> C-x o C-x b i n i <return> M-< 
C-s i g n o r e - <return> C-h v <return> C-x o C-x 
b s h e <return> M-x r e p o r t <return>

Recent messages:
~ /tmp/installed-erlang 
Partially completed
Completed
Reverting buffer `mochiweb-read-only/doc'.
Completed
TAB (translated from <tab>) runs the command comint-dynamic-complete
Mark set
Mark saved where search started
Type C-x 4 C-o RET to restore the other window.
Scanning for dabbrevs...100%

-- 
Imagine this movie with Barbara Stanwyck and Fred MacMurray
and it would work for you.  Better still, just rent "Double
Indemnity" and the hell with it.
        -- Roger Ebert, on "Derailed (2005)"